com.license4j

## Enum ModificationStatus

- java.lang.Object
- - java.lang.Enum<ModificationStatus>
  - - com.license4j.ModificationStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ModificationStatus>

      public enum ModificationStatus
      extends java.lang.Enum<ModificationStatus>

  Validation status information.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVATION_NOT_FOUND_ON_SERVER` Activation not found on server
    `MODIFICATION_COMPLETED` Modification successfully completed, license modified.
    `MODIFICATION_COMPLETED_PREVIOUSLY` Modification already completed, no need to modify license.
    `MODIFICATION_KEY_DEDICATED_FOR_ANOTHER_LICENSE` Modification is dedicated for another license.
    `MODIFICATION_KEY_EXPIRED` Modification key expired.
    `MODIFICATION_KEY_INVALID` Deprecated. MODIFICATION_KEY_INVALID is never returned as of release 4.4.0 due to new special key feature. Since any string can be defined as a special modification key, it is not validated; directly send to server for validation and modification.
    `MODIFICATION_KEY_NOT_FOUND_ON_SERVER` Modification key not found on server.
    `MODIFICATION_KEY_USAGE_LIMIT_REACHED` Modification usage limit reached.
    `MODIFICATION_KEY_USED_FOR_ANOTHER_LICENSE` Modification key already used on another computer for another license.
    `MODIFICATION_NOT_SUPPORTED` Modification is not supported, if activation return type is an activation code.
    `MODIFICATION_REJECTED_FEATURE_DISABLED` Modification rejected due to disabled activations.
    `MODIFICATION_REJECTED_FOR_LICENSE` Modification is rejected for the license.
    `MODIFICATION_REJECTED_IP_BLOCK_RESTRICTION` Modification rejected due to IP block restriction.
    `MODIFICATION_STATUS_UNKNOWN` Modification status unknown; because either license is invalid or not activated.
    `SERVER_CONNECTION_ERROR` Client can not connect to server.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModificationStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ModificationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MODIFICATION_COMPLETED

          public static final ModificationStatus MODIFICATION_COMPLETED

      Modification successfully completed, license modified.

    - #### MODIFICATION_COMPLETED_PREVIOUSLY

          public static final ModificationStatus MODIFICATION_COMPLETED_PREVIOUSLY

      Modification already completed, no need to modify license.

    - #### MODIFICATION_KEY_INVALID

          @Deprecated
          public static final ModificationStatus MODIFICATION_KEY_INVALID

      Deprecated. MODIFICATION_KEY_INVALID is never returned as of release 4.4.0 due to new special key feature. Since any string can be defined as a special modification key, it is not validated; directly send to server for validation and modification.

    - #### MODIFICATION_KEY_EXPIRED

          public static final ModificationStatus MODIFICATION_KEY_EXPIRED

      Modification key expired.

    - #### SERVER_CONNECTION_ERROR

          public static final ModificationStatus SERVER_CONNECTION_ERROR

      Client can not connect to server.

    - #### MODIFICATION_KEY_USED_FOR_ANOTHER_LICENSE

          public static final ModificationStatus MODIFICATION_KEY_USED_FOR_ANOTHER_LICENSE

      Modification key already used on another computer for another license.

    - #### MODIFICATION_KEY_NOT_FOUND_ON_SERVER

          public static final ModificationStatus MODIFICATION_KEY_NOT_FOUND_ON_SERVER

      Modification key not found on server.

    - #### MODIFICATION_KEY_USAGE_LIMIT_REACHED

          public static final ModificationStatus MODIFICATION_KEY_USAGE_LIMIT_REACHED

      Modification usage limit reached.

    - #### MODIFICATION_REJECTED_IP_BLOCK_RESTRICTION

          public static final ModificationStatus MODIFICATION_REJECTED_IP_BLOCK_RESTRICTION

      Modification rejected due to IP block restriction.

    - #### MODIFICATION_REJECTED_FEATURE_DISABLED

          public static final ModificationStatus MODIFICATION_REJECTED_FEATURE_DISABLED

      Modification rejected due to disabled activations.

    - #### ACTIVATION_NOT_FOUND_ON_SERVER

          public static final ModificationStatus ACTIVATION_NOT_FOUND_ON_SERVER

      Activation not found on server

    - #### MODIFICATION_STATUS_UNKNOWN

          public static final ModificationStatus MODIFICATION_STATUS_UNKNOWN

      Modification status unknown; because either license is invalid or not activated.

    - #### MODIFICATION_NOT_SUPPORTED

          public static final ModificationStatus MODIFICATION_NOT_SUPPORTED

      Modification is not supported, if activation return type is an activation code.

    - #### MODIFICATION_REJECTED_FOR_LICENSE

          public static final ModificationStatus MODIFICATION_REJECTED_FOR_LICENSE

      Modification is rejected for the license.

    - #### MODIFICATION_KEY_DEDICATED_FOR_ANOTHER_LICENSE

          public static final ModificationStatus MODIFICATION_KEY_DEDICATED_FOR_ANOTHER_LICENSE

      Modification is dedicated for another license. Cannot be used for current license.

  - ### Method Detail

    - #### values

          public static ModificationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModificationStatus c : ModificationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModificationStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null